com.impinj.stp

## Enum StpApi.OperationMode

- java.lang.Object
- - java.lang.Enum<StpApi.OperationMode>
  - - com.impinj.stp.StpApi.OperationMode

- All Implemented Interfaces:
    com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, java.io.Serializable, java.lang.Comparable<StpApi.OperationMode>
  Enclosing class:
    StpApi

      public static enum StpApi.OperationMode
      extends java.lang.Enum<StpApi.OperationMode>
      implements com.google.protobuf.ProtocolMessageEnum

  Protobuf enum `Impinj.STP.OperationMode` How the reader will be used.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OPERATION_MODE_BATCH` Use with a start and stop for a quantity of tags.
    `OPERATION_MODE_CONTINUOUS` Use this mode to encode a continuous stream of tags.
    `OPERATION_MODE_SINGLE` Use with a start and stop for optimized encoding or verification when a single tag is in the FoV.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `OPERATION_MODE_BATCH_VALUE` Use with a start and stop for a quantity of tags.
    `static int` | `OPERATION_MODE_CONTINUOUS_VALUE` Use this mode to encode a continuous stream of tags.
    `static int` | `OPERATION_MODE_SINGLE_VALUE` Use with a start and stop for optimized encoding or verification when a single tag is in the FoV.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()`
    `int` | `getNumber()`
    `com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()`
    `static com.google.protobuf.Internal.EnumLiteMap<StpApi.OperationMode>` | `internalGetValueMap()`
    `static StpApi.OperationMode` | `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
    `static StpApi.OperationMode` | `valueOf(int value)`
    `static StpApi.OperationMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StpApi.OperationMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPERATION_MODE_BATCH

          public static final StpApi.OperationMode OPERATION_MODE_BATCH

      Use with a start and stop for a quantity of tags.

    - #### OPERATION_MODE_SINGLE

          public static final StpApi.OperationMode OPERATION_MODE_SINGLE

      Use with a start and stop for optimized encoding or verification when a single tag is in the FoV.

    - #### OPERATION_MODE_CONTINUOUS

          public static final StpApi.OperationMode OPERATION_MODE_CONTINUOUS

      Use this mode to encode a continuous stream of tags.

  - ### Field Detail

    - #### OPERATION_MODE_BATCH_VALUE

          public static final int OPERATION_MODE_BATCH_VALUE

      Use with a start and stop for a quantity of tags.
      See Also:
        Constant Field Values

    - #### OPERATION_MODE_SINGLE_VALUE

          public static final int OPERATION_MODE_SINGLE_VALUE

      Use with a start and stop for optimized encoding or verification when a single tag is in the FoV.
      See Also:
        Constant Field Values

    - #### OPERATION_MODE_CONTINUOUS_VALUE

          public static final int OPERATION_MODE_CONTINUOUS_VALUE

      Use this mode to encode a continuous stream of tags.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static StpApi.OperationMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StpApi.OperationMode c : StpApi.OperationMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StpApi.OperationMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getNumber

          public final int getNumber()

      Specified by:
        `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
      Specified by:
        `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### valueOf

          public static StpApi.OperationMode valueOf(int value)

    - #### internalGetValueMap

          public static com.google.protobuf.Internal.EnumLiteMap<StpApi.OperationMode> internalGetValueMap()

    - #### getValueDescriptor

          public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

      Specified by:
        `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptorForType

          public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

    - #### valueOf

          public static StpApi.OperationMode valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)